
#include <stdio.h>
#include "lcd.h"
#include "string.h"
#include "sys.h"
#include "gui.h"
#include "test.h"
#include "pic.h"


//========================variable==========================//
u16 ColorTab[5]={RED,GREEN,BLUE,YELLOW,BRED};//ɫ
u16 ColornTab[8]={RED,MAGENTA,GREEN,DARKBLUE,BLUE,BLACK,LIGHTGREEN};
//=====================end of variable======================//

/*****************************************************************************
 * @name       :void DrawTestPage(u8 *str)
 * @date       :2018-08-09 
 * @function   :Drawing test interface
 * @parameters :str:the start address of the Chinese and English strings
 * @retvalue   :None
******************************************************************************/ 
void DrawTestPage(u8 *str)
{
	//ƹ̶up
	LCD_Clear(WHITE);
	LCD_Fill(0,0,LCD_width,20,BLUE);
	//ƹ̶down
	LCD_Fill(0,LCD_height-20,LCD_width,LCD_height,BLUE);
	POINT_COLOR=WHITE;
	Gui_StrCenter(0,2,WHITE,BLUE,str,16, 1);//ʾ
	//Gui_StrCenter(0,lcddev.height-18,WHITE,BLUE,"www.STCAIMCU.com",16,1);//ʾ
}

/*****************************************************************************
 * @name       :void main_test(void)
 * @date       :2018-08-09 
 * @function   :Drawing the main Interface of the Comprehensive Test Program
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void main_test(void)
{
	DrawTestPage("2.4TFTԳ");
	
	Gui_StrCenter(0,30,RED,BLUE,"꾧Ƽ",16,1);//ʾ
	Gui_StrCenter(0,60,RED,BLUE,"STC MCU Limited",16,1);//ʾ	
	Gui_StrCenter(0,90,MAGENTA,BLUE,"Tel: 86-0513-55012928",16,1);//ʾ
	Gui_StrCenter(0,120,BLUE,BLUE,"www.STCAI.com",16,1);//ʾ
	delay_ms(1500);		
	delay_ms(1500);
}

/*****************************************************************************
 * @name       :void Test_Color(void)
 * @date       :2018-08-09 
 * @function   :Color fill test(white,black,red,green,blue)
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Test_Color(void)
{
	//DrawTestPage("1:ɫ");
	LCD_Fill(0,0,LCD_width,LCD_height,WHITE);
	Show_Str(20,30,BLUE,YELLOW,"BL Test",16,1);delay_ms(800);
	LCD_Fill(0,0,LCD_width,LCD_height,RED);
	Show_Str(20,30,BLUE,YELLOW,"RED ",16,1);delay_ms(800);
	LCD_Fill(0,0,LCD_width,LCD_height,GREEN);
	Show_Str(20,30,BLUE,YELLOW,"GREEN ",16,1);delay_ms(800);
	LCD_Fill(0,0,LCD_width,LCD_height,BLUE);
	Show_Str(20,30,RED,YELLOW,"BLUE ",16,1);delay_ms(800);
}

/*****************************************************************************
 * @name       :void Test_FillRec(void)
 * @date       :2018-08-09 
 * @function   :Rectangular display and fill test
								Display red,green,blue,yellow,pink rectangular boxes in turn,
								1500 milliseconds later,
								Fill the rectangle in red,green,blue,yellow and pink in turn
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Test_FillRec(void)
{
	u8 i=0;
	DrawTestPage("3:GUI");
	LCD_Fill(0,20,LCD_width,LCD_height-20,WHITE);
	for (i=0; i<5; i++) 
	{
		POINT_COLOR=ColorTab[i];
		LCD_DrawRectangle(LCD_width/2-80+(i*15),LCD_height/2-80+(i*15),LCD_width/2-80+(i*15)+60,LCD_height/2-80+(i*15)+60); 
	}
	delay_ms(1500);	
	LCD_Fill(0,20,LCD_width-1,LCD_height-20,WHITE); 
	for (i=0; i<5; i++) 
	{
		POINT_COLOR=ColorTab[i];
		LCD_DrawFillRectangle(LCD_width/2-80+(i*15),LCD_height/2-80+(i*15),LCD_width/2-80+(i*15)+60,LCD_height/2-80+(i*15)+60); 		
	}
	delay_ms(1500);
}

/*****************************************************************************
 * @name       :void Test_Circle(void)
 * @date       :2018-08-09 
 * @function   :circular display and fill test
								Display red,green,blue,yellow,pink circular boxes in turn,
								1500 milliseconds later,
								Fill the circular in red,green,blue,yellow and pink in turn
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Test_Circle(void)
{
	u8 i=0;
	DrawTestPage("4:GUIԲ");
	LCD_Fill(0,20,LCD_width,LCD_height-20,WHITE);
	for (i=0; i<5; i++)  
		gui_circle(LCD_width/2-80+(i*25),LCD_height/2-50+(i*25),ColorTab[i],30,0);
	delay_ms(1500);	
	LCD_Fill(0,20,LCD_width-1,LCD_height-20,WHITE); 
	for (i=0; i<5; i++) 
	  	gui_circle(LCD_width/2-80+(i*25),LCD_height/2-50+(i*25),ColorTab[i],30,1);
	delay_ms(1500);
}

/*****************************************************************************
 * @name       :void Test_Triangle(void)
 * @date       :2018-08-09 
 * @function   :triangle display and fill test
								Display red,green,blue,yellow,pink triangle boxes in turn,
								1500 milliseconds later,
								Fill the triangle in red,green,blue,yellow and pink in turn
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Test_Triangle(void)
{
	u8 i=0;
	DrawTestPage("5:GUI Triangle");
	LCD_Fill(0,20,480,320-20,WHITE);
	for(i=0;i<5;i++)
	{
		POINT_COLOR=ColorTab[i];
		Draw_Triangel(480/2-80+(i*20),320/2-20+(i*15),480/2-50-1+(i*20),320/2-20-52-1+(i*15),480/2-20-1+(i*20),320/2-20+(i*15));
	}
	delay_ms(1500);	
	LCD_Fill(0,20,480-1,320-20,WHITE); 
	for(i=0;i<5;i++)
	{
		POINT_COLOR=ColorTab[i];
		Fill_Triangel(480/2-80+(i*20),320/2-20+(i*15),480/2-50-1+(i*20),320/2-20-52-1+(i*15),480/2-20-1+(i*20),320/2-20+(i*15));
	}
	delay_ms(1500);
}

/*****************************************************************************
 * @name       :void English_Font_test(void)
 * @date       :2018-08-09 
 * @function   :English display test
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void English_Font_test(void)
{
	DrawTestPage("6:Ӣʾ");
	POINT_COLOR=RED;
	BACK_COLOR=BLUE;
	LCD_ShowString(10,30,12,"6X12:abcdefghijklmnopqrstuvwxyz",0);
	LCD_ShowString(10,45,12,"6X12:ABCDEFGHIJKLMNOP0123456789",1);
	LCD_ShowString(10,60,12,"6X12:~!@#$%^&*()_+{}:<>?/|-+.",0);
	LCD_ShowString(10,80,16,"8X16:abcdefghijklmnopqrstuvwxyz",0);
	LCD_ShowString(10,100,16,"8X16:ABCDEFGHIJKLMNOP0123456789",1);
	LCD_ShowString(10,120,16,"8X16:~!@#$%^&*()_+{}:<>?/|-+.",0); 
	delay_ms(1500);
}

/*****************************************************************************
 * @name       :void Chinese_Font_test(void)
 * @date       :2018-08-09 
 * @function   :chinese display test
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Chinese_Font_test(void)
{	
	DrawTestPage("7:ʾ");
	Show_Str(10,30,BLUE,YELLOW,"16X16:ڹо˹޹˾ӭ",16,0);
	Show_Str(10,50,BLUE,YELLOW,"16X16:Welcome꾧Ƽ",16,0);
	Show_Str(10,70,BLUE,YELLOW,"24X24:ڹоĲ",24,1);
	Show_Str(10,100,BLUE,YELLOW,"32X32:",32,1);
	delay_ms(1500);
}

/*****************************************************************************
 * @name       :void Pic_test(void)
 * @date       :2018-08-09 
 * @function   :picture display test
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Pic_test(void)
{
	DrawTestPage("8:ͼƬʾ");
	Gui_Drawbmp16(30,30,gImage_qq);
	Show_Str(30+12,75,BLUE,YELLOW,"QQ",16,1);
	Gui_Drawbmp16(90,30,gImage_qq);
	Show_Str(90+12,75,BLUE,YELLOW,"QQ",16,1);
	Gui_Drawbmp16(150,30,gImage_qq);
	Show_Str(150+12,75,BLUE,YELLOW,"QQ",16,1);
	delay_ms(1500);
}

